From: =?utf-8?b?T25kxZllaiBTdXLDvQ==?= <ondrej@sury.org>
Date: Mon, 2 Dec 2024 21:35:56 +0100
Subject: Fix invalid usage of zend_ulong in place of 'unsigned long'

---
 rrd-2.0.3/rrd.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/rrd-2.0.3/rrd.c b/rrd-2.0.3/rrd.c
index 526f094..ab19b41 100644
--- a/rrd-2.0.3/rrd.c
+++ b/rrd-2.0.3/rrd.c
@@ -55,7 +55,7 @@ PHP_FUNCTION(rrd_fetch)
 	rrd_args *argv;
 	/* returned values if rrd_fetch doesn't fail */
 	time_t start, end;
-	zend_ulong step,
+	unsigned long step,
 	ds_cnt; /* count of data sources */
 	char **ds_namv; /* list of data source names */
 	rrd_value_t *ds_data; /* all data from all sources */
@@ -396,7 +396,7 @@ PHP_FUNCTION(rrd_xport)
 	/* return values from rrd_xport */
 	int xxsize;
 	time_t start, end, time_index;
-	zend_ulong step, outvar_count;
+	unsigned long step, outvar_count;
 	char **legend_v;
 	rrd_value_t *data, *data_ptr;
 	zval zv_data;
